Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.util
Class CapsTextField

    java.lang.Object
      charva.awt.Component
          charvax.swing.JComponent
              charvax.swing.text.JTextComponent
                  charvax.swing.JTextField
                      charva.awt.util.CapsTextField

Direct Known Subclasses:
  ConstrainedTextField

public class CapsTextField
extends JTextField

The CapsTextField is a subclass of JTextField that translates keystrokes to uppercase before echoing them.

Field Summary

Fields inherited from class charvax.swing.JTextField
`_actionListeners, _bold, _columns, _offset, _padding`

Fields inherited from class charvax.swing.text.JTextComponent
`_caretPosition, _document, _editable`

Fields inherited from class charvax.swing.JComponent
`_border`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`CapsTextField(int length_)` Use this constructor when you want to leave the text field empty but set its length.
`CapsTextField(java.lang.String text_)` Use this constructor when you want to initialize the value.
`CapsTextField(java.lang.String text_, int length_)` Use this constructor when you want to set both the initial value and the length.

Method Summary
`void` | `processKeyEvent(KeyEvent ke_)` Convert keystrokes to uppercase before calling the JTextField's processKeyEvent() method.

Methods inherited from class charvax.swing.JTextField
`addActionListener, debug, draw, getActionCommand, getColumns, getHeight, getSize, getWidth, isEditable, minimumSize, postActionEvent, processEvent, processMouseEvent, requestFocus, setActionCommand, setBounds, setBounds, setBounds, setColumns, setEditable, setFont, setText, toString`

Methods inherited from class charvax.swing.text.JTextComponent
`getCaretPosition, getDocument, getText, setCaretPosition, setDocument`

Methods inherited from class charvax.swing.JComponent
`getBorder, getInsets, setBorder`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, invalidate, isDisplayed, isEnabled, isFocusTraversable, isTotallyObscured, isValid, isVisible, processFocusEvent, repaint, requestSync, setBackground, setEnabled, setForeground, setLocation, setLocation, setName, setParent, setVisible, show, validate, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CapsTextField

    public CapsTextField(java.lang.String text_)

  Use this constructor when you want to initialize the value.

### CapsTextField

    public CapsTextField(int length_)

  Use this constructor when you want to leave the text field empty but set its length.

### CapsTextField

    public CapsTextField(java.lang.String text_,
                         int length_)

  Use this constructor when you want to set both the initial value and the length.

Method Detail

### processKeyEvent

    public void processKeyEvent(KeyEvent ke_)

  Convert keystrokes to uppercase before calling the JTextField's processKeyEvent() method.

  Overrides:
    `processKeyEvent` in class `JTextField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD